/** ###################################################################
**     THIS BEAN MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : Bip.H
**     Project   : oscillateur
**     Processor : MC68HC908QT1CP
**     Beantype  : TimerOut
**     Version   : Bean 02.088, Driver 01.21, CPU db: 2.87.099
**     Compiler  : Metrowerks HC08 C Compiler
**     Date/Time : 23/05/2005, 19:58
**     Abstract  :
**         This bean implements a periodic signal generator 1:1 (Flip-Flop Output).
**         The signal alternates the "0" and "1" output values in exactly
**         regular intervals; that is why the time length of the "0" part
**         of one pulse is equal to the "1" part of one pulse.
**     Settings  :
**         Used output pin             : 
**             ----------------------------------------------------
**                Number (on package)  |    Name
**             ----------------------------------------------------
**                       7             |  PTA0_TCH0_KBI0
**             ----------------------------------------------------
**
**         Timer name                  : TIM (16-bit)
**         Compare name                : TIM0
**           Counter shared            : No
**           Output compare            : unbuffered
**
**         High speed mode
**             Prescaler               : divide-by-1
**             Clock                   : 3200000 Hz
**           Pulse width
**             Xtal ticks              : 6400
**             microseconds            : 500
**             seconds (real)          : 0.0005000
**             Hz                      : 2000
**             kHz                     : 2
**
**         Runtime setting             : none
**
**         Initialization:
**              Output level           : low
**              Timer                  : Disabled
**              Events                 : Enabled
**
**         Timer registers
**              Counter                : TCNT      [33]
**              Mode                   : TSC       [32]
**              Run                    : TSC       [32]
**              Prescaler              : TSC       [32]
**
**         Compare registers
**              Compare                : TCH0      [38]
**
**         Flip-flop registers
**              Mode                   : TSC0      [37]
**     Contents  :
**         Enable  - byte Bip_Enable(void);
**         Disable - byte Bip_Disable(void);
**
**     (c) Copyright UNIS, spol. s r.o. 1997-2004
**     UNIS, spol. s r.o.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

#ifndef __Bip
#define __Bip

/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"


/* MODULE Bip. */

#include "Cpu.h"

byte Bip_Enable(void);
/*
** ===================================================================
**     Method      :  Bip_Enable (bean TimerOut)
**
**     Description :
**         Enables the bean - it starts the signal generation. Events
**         may be generated ("DisableEvent"/"EnableEvent").
**     Parameters  : None
**     Returns     :
**         ---             - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_SPEED - This device does not work in
**                           the active speed mode
** ===================================================================
*/

byte Bip_Disable(void);
/*
** ===================================================================
**     Method      :  Bip_Disable (bean TimerOut)
**
**     Description :
**         Disables the timer - it stops signal generation and events
**         calling. When the timer is disabled, it is possible to
**         call methods "ClrValue" and "SetValue".
**     Parameters  : None
**     Returns     :
**         ---             - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_SPEED - This device does not work in
**                           the active speed mode
** ===================================================================
*/

__interrupt void  Bip_Interrupt(void);
/*
** ===================================================================
**     Method      :  Bip_Interrupt (bean TimerOut)
**
**     Description :
**         This method is internal. It is used by Processor Expert
**         only.
** ===================================================================
*/

void Bip_Init(void);
/*
** ===================================================================
**     Method      :  Bip_Init (bean TimerOut)
**
**     Description :
**         This method is internal. It is used by Processor Expert
**         only.
** ===================================================================
*/

/* END Bip. */

#endif /* ifndef __Bip */
/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 03.51 for 
**     the Motorola HC08 series of microcontrollers.
**
** ###################################################################
*/
