/** ###################################################################
**     THIS BEAN MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : Led.C
**     Project   : oscillateur
**     Processor : MC68HC908QT1CP
**     Beantype  : BitIO
**     Version   : Bean 02.055, Driver 03.05, CPU db: 2.87.099
**     Compiler  : Metrowerks HC08 C Compiler
**     Date/Time : 08/02/2005, 18:55
**     Abstract  :
**         This bean "BitIO" implements an one-bit input/output.
**         It uses one bit/pin of a port.
**         Note: This bean is set to work in Output direction only.
**         Methods of this bean are mostly implemented as a macros 
**         (if supported by target language and compiler).
**     Settings  :
**         Used pin                    : 
**             ----------------------------------------------------
**                Number (on package)  |    Name
**             ----------------------------------------------------
**                       6             |  PTA1_TCH1_KBI1
**             ----------------------------------------------------
**
**         Port name                   : PTA
**
**         Bit number (in port)        : 1
**         Bit mask of the port        : 2
**
**         Initial direction           : Output (direction cannot be changed)
**         Initial output value        : 1
**         Initial pull option         : off
**
**         Port data register          : PTA       [0]
**         Port control register       : DDRA      [4]
**         Port function register      : KBIER     [27]
**
**         Optimization for            : speed
**     Contents  :
**         GetVal - bool Led_GetVal(void);
**         PutVal - void Led_PutVal(bool Val);
**         ClrVal - void Led_ClrVal(void);
**         SetVal - void Led_SetVal(void);
**
**     (c) Copyright UNIS, spol. s r.o. 1997-2004
**     UNIS, spol. s r.o.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

/* MODULE Led. */

#include "Led.h"
  /* Including shared modules, which are used in the whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "Cpu.h"


/*
** ===================================================================
**     Method      :  Led_GetVal (bean BitIO)
**
**     Description :
**         This method returns an input value.
**           a) direction = Input  : reads the input value from the
**                                   pin and returns it
**           b) direction = Output : returns the last written value
**         Note: This bean is set to work in Output direction only.
**     Parameters  : None
**     Returns     :
**         ---        - Input value (FALSE or TRUE)
**                      FALSE = "0" or "Low", TRUE = "1" or "High"
** ===================================================================
*/
/*
bool Led_GetVal(void)

**  This method is implemented as a macro. See Led.h file.  **
*/

/*
** ===================================================================
**     Method      :  Led_PutVal (bean BitIO)
**
**     Description :
**         This method writes the new output value.
**     Parameters  :
**         NAME       - DESCRIPTION
**         Val        - Output value (FALSE or TRUE)
**                      FALSE = "0" or "Low", TRUE = "1" or "High"
**     Returns     : Nothing
** ===================================================================
*/
void Led_PutVal(bool Val)
{
  if (Val) {
    setReg8Bits(PTA, 2);               /* PTA1=1 */
  } else { /* !Val */ 
    clrReg8Bits(PTA, 2);               /* PTA1=0 */
  } /* !Val */ 
}

/*
** ===================================================================
**     Method      :  Led_ClrVal (bean BitIO)
**
**     Description :
**         This method clears (sets to zero) the output value.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
/*
void Led_ClrVal(void)

**  This method is implemented as a macro. See Led.h file.  **
*/

/*
** ===================================================================
**     Method      :  Led_SetVal (bean BitIO)
**
**     Description :
**         This method sets (sets to one) the output value.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
/*
void Led_SetVal(void)

**  This method is implemented as a macro. See Led.h file.  **
*/


/* END Led. */
/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 03.51 for 
**     the Motorola HC08 series of microcontrollers.
**
** ###################################################################
*/
